[ SYSTEM ]: Linux srv.persadacompanies.com 4.18.0-553.56.1.el8_10.x86_64 #1 SMP Tue Jun 10 05:00:59 EDT 2025 x86_64
[ SERVER ]: Apache | PHP: 8.4.20
[ USER ]: persadamedika | IP: 45.64.1.108
GEFORCE FILE MANAGER
/
etc
/
sysconfig
/
network-scripts
/
UPLOAD:
NAME
SIZE
QUICK PERMS
ACTIONS
📄 ifcfg-eno1
343 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifcfg-eno1:1
345 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifcfg-eno2
268 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifcfg-lo
254 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown
2,123 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-Team
1,621 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-TeamPort
1,556 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-bnep
646 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-eth
6,419 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-ippp
769 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-ipv6
4,536 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-isdn
769 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-post
2,064 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-routes
870 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-sit
1,458 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifdown-tunnel
1,462 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup
5,463 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-Team
1,755 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-TeamPort
1,876 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-aliases
12,270 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-bnep
906 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-eth
13,776 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-ippp
12,068 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-ipv6
11,891 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-isdn
12,068 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-plip
643 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-plusb
1,057 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-post
5,000 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-routes
2,427 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-sit
3,303 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-tunnel
2,879 B
SET
[ EDIT ]
|
[ DEL ]
📄 ifup-wireless
1,836 B
SET
[ EDIT ]
|
[ DEL ]
📄 init.ipv6-global
5,421 B
SET
[ EDIT ]
|
[ DEL ]
📄 network-functions
20,431 B
SET
[ EDIT ]
|
[ DEL ]
📄 network-functions-ipv6
31,037 B
SET
[ EDIT ]
|
[ DEL ]
DELETE SELECTED
[ CLOSE ]
EDIT: ifup-routes
#! /bin/bash # # adds static routes which go through device $1 . /etc/sysconfig/network-scripts/network-functions if [ -z "$1" ]; then echo $"usage: ifup-routes <net-device> [<nickname>]" exit 1 fi MATCH='^[[:space:]]*(\#.*)?$' handle_file () { . $1 routenum=0 while [ "x$(eval echo '$'ADDRESS$routenum)x" != "xx" ]; do eval $(ipcalc -p $(eval echo '$'ADDRESS$routenum) $(eval echo '$'NETMASK$routenum)) line="$(eval echo '$'ADDRESS$routenum)/$PREFIX" if [ "x$(eval echo '$'GATEWAY$routenum)x" != "xx" ]; then line="$line via $(eval echo '$'GATEWAY$routenum)" fi line="$line dev $2" /sbin/ip route add $line || { net_log $"Failed to add route ${line}, using ip route replace instead." warning /sbin/ip route replace $line } routenum=$(($routenum+1)) done } handle_ip_file() { local f t type= file=$1 proto="-4" f=${file##*/} t=${f%%-*} type=${t%%6} if [ "$type" != "$t" ]; then proto="-6" fi { cat "$file" ; echo ; } | while read line; do if [[ ! "$line" =~ $MATCH ]]; then /sbin/ip $proto $type add $line if [ $? != 0 ] && [ "$type" == "route" ] ; then net_log $"Failed to add route ${line}, using ip route replace instead." warning /sbin/ip $proto route replace $line fi fi done } FILES="/etc/sysconfig/network-scripts/route-$1 /etc/sysconfig/network-scripts/route6-$1" if [ -n "$2" -a "$2" != "$1" ]; then FILES="$FILES /etc/sysconfig/network-scripts/route-$2 /etc/sysconfig/network-scripts/route6-$2" fi for file in $FILES; do if [ -f "$file" ]; then if grep -Eq '^[[:space:]]*ADDRESS[0-9]+=' $file ; then # new format handle_file $file ${1%:*} else # older format handle_ip_file $file fi fi done # Red Hat network configuration format NICK=${2:-$1} CONFIG="/etc/sysconfig/network-scripts/$NICK.route" [ -f $CONFIG ] && handle_file $CONFIG $1 # Routing rules FILES="/etc/sysconfig/network-scripts/rule-$1 /etc/sysconfig/network-scripts/rule6-$1" if [ -n "$2" -a "$2" != "$1" ]; then FILES="$FILES /etc/sysconfig/network-scripts/rule-$2 /etc/sysconfig/network-scripts/rule6-$2" fi for file in $FILES; do if [ -f "$file" ]; then handle_ip_file $file fi done